Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
174e92b2
Commit
174e92b2
authored
May 11, 2017
by
nikhiljindal
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Adding verify-federation-generated-swagger-docs.sh
parent
283e8205
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
66 additions
and
0 deletions
+66
-0
verify-federation-generated-swagger-docs.sh
hack/verify-federation-generated-swagger-docs.sh
+66
-0
No files found.
hack/verify-federation-generated-swagger-docs.sh
0 → 100755
View file @
174e92b2
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set
-o
errexit
set
-o
nounset
set
-o
pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/..
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
kube::golang::setup_env
make
-C
"
${
KUBE_ROOT
}
"
WHAT
=
cmd/genswaggertypedocs
# Find binary
genswaggertypedocs
=
$(
kube::util::find-binary
"genswaggertypedocs"
)
if
[[
!
-x
"
$genswaggertypedocs
"
]]
;
then
{
echo
"It looks as if you don't have a compiled genswaggertypedocs binary"
echo
echo
"If you are running from a clone of the git repo, please run"
echo
"'make WHAT=cmd/genswaggertypedocs'."
}
>
&2
exit
1
fi
DIFFROOT
=
"
${
KUBE_ROOT
}
/federation"
TMP_DIFFROOT
=
"
${
KUBE_ROOT
}
/_tmp/federation"
_tmp
=
"
${
KUBE_ROOT
}
/_tmp_federation"
cleanup
()
{
rm
-rf
"
${
_tmp
}
"
}
trap
"cleanup"
EXIT SIGINT
cleanup
mkdir
-p
"
${
TMP_DIFFROOT
}
"
cp
-a
"
${
DIFFROOT
}
"
/
*
"
${
TMP_DIFFROOT
}
/"
"
${
KUBE_ROOT
}
/hack/update-federation-generated-swagger-docs.sh"
echo
"diffing
${
DIFFROOT
}
against freshly generated swagger type documentation"
ret
=
0
diff
-Naupr
-I
'Auto generated by'
"
${
DIFFROOT
}
"
"
${
TMP_DIFFROOT
}
"
||
ret
=
$?
cp
-a
"
${
TMP_DIFFROOT
}
"
/
*
"
${
DIFFROOT
}
/"
if
[[
$ret
-eq
0
]]
then
echo
"
${
DIFFROOT
}
up to date."
else
echo
"
${
DIFFROOT
}
is out of date. Please run hack/update-federation-generated-swagger-docs.sh"
exit
1
fi
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment